Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class RoutingNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.RoutingNotification

All Implemented Interfaces:
  Serializable, MuleContextAware

    public class RoutingNotification

extends ServerNotification

Is fired by routers. Currently only Async-Reply routers use this when an event is received for an event group that has already been processed.

See Also:
  Serialized Form

Field Summary
`static int` | `ASYNC_REPLY_TIMEOUT`
`static int` | `CORRELATION_TIMEOUT`
`static int` | `MISSED_AGGREGATION_GROUP_EVENT`
`static int` | `MISSED_ASYNC_REPLY`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, FLOW_CONSTRUCT_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`RoutingNotification(MuleMessage resource, String identifier, int action)`

Method Summary
`protected String` | `getPayloadToString()`
`String` | `getType()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getResourceIdentifier, getServerId, getTimestamp, isResourceIdentifierAnUri, registerAction, setMuleContext, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MISSED_ASYNC_REPLY

    public static final int MISSED_ASYNC_REPLY

See Also:
  Constant Field Values

### ASYNC_REPLY_TIMEOUT

    public static final int ASYNC_REPLY_TIMEOUT

See Also:
  Constant Field Values

### CORRELATION_TIMEOUT

    public static final int CORRELATION_TIMEOUT

See Also:
  Constant Field Values

### MISSED_AGGREGATION_GROUP_EVENT

    public static final int MISSED_AGGREGATION_GROUP_EVENT

See Also:
  Constant Field Values

Constructor Detail

### RoutingNotification

    public RoutingNotification(MuleMessage resource,
                               String identifier,
                               int action)

Method Detail

### getPayloadToString

    protected String getPayloadToString()

  Overrides:
    `getPayloadToString` in class `ServerNotification`

### getType

    public String getType()

  Overrides:
    `getType` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.